<template>
  <div id="LanguageTranlateSystemMenu">
    <v-menu bottom offset-y min-width="125px" open-on-hover>
      <template v-slot:activator="{ on, attrs }">
        <v-btn
          v-bind="attrs"
          v-on="on"
          text
          :color="color_text_props ? color_text_props : 'system_white'"
        >
          <span
            class="body-2-sistem text-uppercase family-openSans-semi-bold text-capitalize"
          >
            <template> {{ $i18n.locale }} </template>
          </span>
          <v-icon> mdi-chevron-down </v-icon>
        </v-btn>
      </template>

      <v-list>
        <v-list-item
          class="cursor-pointer"
          v-for="(langage_code, index) in $i18n.localeCodes"
          :key="index"
        >
          <v-list-item-content
            @click="$router.push(switchLocalePath(langage_code))"
          >
            <v-list-item-title class="d-flex align-center">
              <span
                class="caption-system text-uppercase family-openSans-semi-bold"
              >
                {{ langage_code }}
              </span>
            </v-list-item-title>
          </v-list-item-content>
        </v-list-item>
      </v-list>
    </v-menu>
  </div>
</template>
<script>
export default {
  props: ["color_text_props"],

  mounted() {
    console.log("i18n", this.$i18n);
  },
};
</script>
